Subject: Re: bug#12494: 0 exit status even when chmod fails

From: "Alan Curry" <[email-masked]>
Date: Mon, 24 Sep 2012 01:37:16 -0500 (GMT+5)

Georgiy Treyvus writes:
> 
> Finally I had him show me the mount options of the relevant partitions. 
> Many I recognized. Some I did not. I started researching those I did 

Did you notice this one?:

Mount options for fat
       (Note:  fat  is	not  a	separate  filesystem, but a common part of the
       msdos, umsdos and vfat filesystems.)

[...]
       quiet  Turn on the quiet flag.  Attempts to chown or chmod files do not
	      return errors, although they fail. Use with caution!

If you're getting the quiet behavior without the quiet mount option, I'd say
that's a kernel bug.

-- 
Alan Curry